@book{Kriesel.2007,
  title        = {A Brief Introduction to Neural Networks},
  author       = {David Kriesel},
  year         = 2007,
  note         = {available at http://www.dkriesel.com},
  __markedentry = {[satanik:2]}
}
@inproceedings{barjasteh.2015,
  title        = {Cold-Start Item and User Recommendation with Decoupled Completion and Transduction},
  author       = {Barjasteh, Iman and Forsati, Rana and Masrour, Farzan and Esfahanian, Abdol-Hossein and Radha, Hayder},
  year         = 2015,
  booktitle    = {Proceedings of the 9th ACM Conference on Recommender Systems},
  location     = {Vienna, Austria},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '15},
  pages        = {91--98},
  isbn         = {978-1-4503-3692-5},
  numpages     = 8,
  acmid        = 2800196,
  keywords     = {cold-start problem, matrix factorization, sparsity}
}
@inproceedings{schein.2002,
  title        = {Methods and Metrics for Cold-start Recommendations},
  author       = {Schein, Andrew I. and Popescul, Alexandrin and Ungar, Lyle H. and Pennock, David M.},
  year         = 2002,
  booktitle    = {Proceedings of the 25th Annual International ACM SIGIR Conference on Research and Development in Information Retrieval},
  location     = {Tampere, Finland},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {SIGIR '02},
  pages        = {253--260},
  isbn         = {1-58113-561-0},
  numpages     = 8,
  acmid        = 564421,
  keywords     = {collaborative filtering, content-based filtering, graphical models, information retrieval, performance evaluation, recommender systems}
}
@inproceedings{sedhain.2014,
  title        = {Social Collaborative Filtering for Cold-start Recommendations},
  author       = {Sedhain, Suvash and Sanner, Scott and Braziunas, Darius and Xie, Lexing and Christensen, Jordan},
  year         = 2014,
  booktitle    = {Proceedings of the 8th ACM Conference on Recommender Systems},
  location     = {Foster City, Silicon Valley, California, USA},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '14},
  pages        = {345--348},
  isbn         = {978-1-4503-2668-1},
  numpages     = 4,
  acmid        = 2645772,
  keywords     = {cold-start problem, recommender systems}
}
@inproceedings{cohen.2017,
  title        = {Expediting Exploration by Attribute-to-Feature Mapping for Cold-Start Recommendations},
  author       = {Cohen, Deborah and Aharon, Michal and Koren, Yair and Somekh, Oren and Nissim, Raz},
  year         = 2017,
  booktitle    = {Proceedings of the Eleventh ACM Conference on Recommender Systems},
  location     = {Como, Italy},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '17},
  pages        = {184--192},
  isbn         = {978-1-4503-4652-8},
  numpages     = 9,
  acmid        = 3109880,
  keywords     = {collaborative-filtering, item cold-start problem, random exploration, recommendation systems}
}
@inproceedings{graus.2015,
  title        = {Improving the User Experience During Cold Start Through Choice-Based Preference Elicitation},
  author       = {Graus, Mark P. and Willemsen, Martijn C.},
  year         = 2015,
  booktitle    = {Proceedings of the 9th ACM Conference on Recommender Systems},
  location     = {Vienna, Austria},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '15},
  pages        = {273--276},
  isbn         = {978-1-4503-3692-5},
  numpages     = 4,
  acmid        = 2799681,
  keywords     = {choice, diversification, matrix factorisation, preference elication, rating, user-centric evaluation}
}
@inproceedings{elkahky.2015,
  title        = {A Multi-View Deep Learning Approach for Cross Domain User Modeling in Recommendation Systems},
  author       = {Elkahky, Ali Mamdouh and Song, Yang and He, Xiaodong},
  year         = 2015,
  booktitle    = {Proceedings of the 24th International Conference on World Wide Web},
  location     = {Florence, Italy},
  publisher    = {International World Wide Web Conferences Steering Committee},
  address      = {Republic and Canton of Geneva, Switzerland},
  series       = {WWW '15},
  pages        = {278--288},
  isbn         = {978-1-4503-3469-3},
  numpages     = 11,
  acmid        = 2741667,
  keywords     = {deep learning, multi-view learning, recommendation system, user modeling}
}
@inproceedings{lu.2015,
  title        = {Content-based Collaborative Filtering for News Topic Recommendation},
  author       = {Lu, Zhongqi and Dou, Zhicheng and Lian, Jianxun and Xie, Xing and Yang, Qiang},
  year         = 2015,
  booktitle    = {Proceedings of the Twenty-Ninth AAAI Conference on Artificial Intelligence},
  location     = {Austin, Texas},
  publisher    = {AAAI Press},
  series       = {AAAI'15},
  pages        = {217--223},
  isbn         = {0-262-51129-0},
  url          = {http://dl.acm.org/citation.cfm?id=2887007.2887038},
  numpages     = 7,
  acmid        = 2887038
}
@inproceedings{good.1999,
  title        = {Combining collaborative filtering with personal agents for better recommendations},
  author       = {Good, Nathaniel and Schafer, J Ben and Konstan, Joseph A and Borchers, Al and Sarwar, Badrul and Herlocker, Jon and Riedl, John and others},
  year         = 1999,
  booktitle    = {AAAI/IAAI},
  pages        = {439--446}
}
@inproceedings{wang.2014,
  title        = {Improving Content-based and Hybrid Music Recommendation Using Deep Learning},
  author       = {Wang, Xinxi and Wang, Ye},
  year         = 2014,
  booktitle    = {Proceedings of the 22Nd ACM International Conference on Multimedia},
  location     = {Orlando, Florida, USA},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {MM '14},
  pages        = {627--636},
  isbn         = {978-1-4503-3063-3},
  numpages     = 10,
  acmid        = 2654940,
  keywords     = {deep learning, feature learning, music recommendation, probabilistic graphical model}
}
@inproceedings{Liu:2016:RNN:3060832.3061023,
  title        = {Recurrent Neural Network for Text Classification with Multi-task Learning},
  author       = {Liu, Pengfei and Qiu, Xipeng and Huang, Xuanjing},
  year         = 2016,
  booktitle    = {Proceedings of the Twenty-Fifth International Joint Conference on Artificial Intelligence},
  location     = {New York, New York, USA},
  publisher    = {AAAI Press},
  series       = {IJCAI'16},
  pages        = {2873--2879},
  isbn         = {978-1-57735-770-4},
  url          = {http://dl.acm.org/citation.cfm?id=3060832.3061023},
  numpages     = 7,
  acmid        = 3061023
}
@inproceedings{zhang.2015,
  title        = {Character-level Convolutional Networks for Text Classification},
  author       = {Zhang, Xiang and Zhao, Junbo and LeCun, Yann},
  year         = 2015,
  booktitle    = {Proceedings of the 28th International Conference on Neural Information Processing Systems - Volume 1},
  location     = {Montreal, Canada},
  publisher    = {MIT Press},
  address      = {Cambridge, MA, USA},
  series       = {NIPS'15},
  pages        = {649--657},
  url          = {http://dl.acm.org/citation.cfm?id=2969239.2969312},
  numpages     = 9,
  acmid        = 2969312
}
@article{guo.2014,
  title        = {Merging trust in collaborative filtering to alleviate data sparsity and cold start},
  author       = {Guibing Guo and Jie Zhang and Daniel Thalmann},
  year         = 2014,
  journal      = {Knowledge-Based Systems},
  volume       = 57,
  pages        = {57--68},
  url          = {http://www.sciencedirect.com/science/article/pii/S0950705113003870},
  keywords     = {Recommender systems, Collaborative filtering, Cold start, Data sparsity, Trusted neighbors}
}
@article{yao.2015,
  title        = {Unified Collaborative and Content-Based Web Service Recommendation},
  author       = {L. Yao and Q. Z. Sheng and A. H. H. Ngu and J. Yu and A. Segev},
  year         = 2015,
  month        = 5,
  journal      = {IEEE Transactions on Services Computing},
  volume       = 8,
  number       = 3,
  pages        = {453--466}
}
@article{chellappa.2005,
  title        = {Personalization versus Privacy: An Empirical Examination of the Online Consumer's Dilemma},
  author       = {Chellappa, Ramnath K. and Sin, Raymond G.},
  year         = 2005,
  month        = 4,
  day          = 1,
  journal      = {Information Technology and Management},
  volume       = 6,
  number       = 2,
  pages        = {181--202}
}
@article{linden.2003,
  title        = {Amazon.Com Recommendations: Item-to-Item Collaborative Filtering},
  author       = {Linden, Greg and Smith, Brent and York, Jeremy},
  year         = 2003,
  month        = jan,
  journal      = {IEEE Internet Computing},
  publisher    = {IEEE Educational Activities Department},
  address      = {Piscataway, NJ, USA},
  volume       = 7,
  number       = 1,
  pages        = {76--80},
  issue_date   = {January 2003},
  numpages     = 5,
  acmid        = 642471
}
@article{chowdhury.2003,
  title        = {Natural language processing},
  author       = {Chowdhury, Gobinda G.},
  year         = 2003,
  journal      = {Annual Review of Information Science and Technology},
  volume       = 37,
  number       = 1,
  pages        = {51--89}
}
@article{salton.1988,
  title        = {Term-weighting approaches in automatic text retrieval},
  author       = {Gerard Salton and Christopher Buckley},
  year         = 1988,
  journal      = {Information Processing \& Management},
  volume       = 24,
  number       = 5,
  pages        = {513--523},
  url          = {http://www.sciencedirect.com/science/article/pii/0306457388900210}
}
@article{li.2017,
  title        = {Enhancing Topic Modeling for Short Texts with Auxiliary Word Embeddings},
  author       = {Li, Chenliang and Duan, Yu and Wang, Haoran and Zhang, Zhiqian and Sun, Aixin and Ma, Zongyang},
  year         = 2017,
  month        = aug,
  journal      = {ACM Trans. Inf. Syst.},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  volume       = 36,
  number       = 2,
  pages        = {11:1--11:30},
  issue_date   = {September 2017},
  articleno    = 11,
  numpages     = 30,
  acmid        = 3091108,
  keywords     = {Topic model, short texts, word embeddings}
}
@article{yogatama.2017,
  title        = {Generative and Discriminative Text Classification with Recurrent Neural Networks},
  author       = {Dani Yogatama and Chris Dyer and Wang Ling and Phil Blunsom},
  year         = 2017,
  journal      = {CoRR},
  volume       = {abs/1703.01898}
}
@book{bird.2009,
  title        = {Natural Language Processing with Python},
  author       = {Bird, Steven and Klein, Ewan and Loper, Edward},
  year         = 2009,
  publisher    = {O'Reilly Media, Inc.},
  isbn         = 9780596516499,
  edition      = {1st}
}
@book{kao.2006,
  title        = {Natural Language Processing and Text Mining},
  author       = {Kao, Anne and Poteet, Steve R.},
  year         = 2006,
  publisher    = {Springer Publishing Company, Incorporated},
  isbn         = 9781846281754
}
@book{manning.1999,
  title        = {Foundations of Statistical Natural Language Processing},
  author       = {Manning, Christopher D. and Sch\"{u}tze, Hinrich},
  year         = 1999,
  publisher    = {MIT Press},
  address      = {Cambridge, MA, USA},
  isbn         = 262133601
}
@book{manning.2008,
  title        = {Introduction to Information Retrieval},
  author       = {Manning, Christopher D. and Raghavan, Prabhakar and Sch\"{u}tze, Hinrich},
  year         = 2008,
  publisher    = {Cambridge University Press},
  address      = {New York, NY, USA},
  isbn         = 9780521865715
}
@book{ricci.2011,
  title        = {Recommender systems handbook},
  author       = {Ricci, Francesco and Rokach, Lior and Shapira, Bracha and Kantor, Paul B.},
  year         = 2011,
  publisher    = {Springer},
  address      = {New York; London},
  added-at     = {2011-10-10T13:23:18.000+0200},
  biburl       = {https://www.bibsonomy.org/bibtex/2eb5d5d5c581a685bbb352eb5826449f7/mschuber},
  keywords     = {book recommender-systems}
}
@book{russell.2009,
  title        = {Artificial Intelligence: A Modern Approach},
  author       = {Russell, Stuart and Norvig, Peter},
  year         = 2009,
  publisher    = {Prentice Hall Press},
  address      = {Upper Saddle River, NJ, USA},
  isbn         = 9780136042594,
  edition      = {3rd}
}
@book{saleh.2010,
  title        = {Conversion Optimization: The Art and Science of Converting Prospects to Customers},
  author       = {Saleh, K. and Shukairy, A.},
  year         = 2010,
  publisher    = {O'Reilly Media},
  isbn         = 9781449397692,
  url          = {https://books.google.at/books?id=USIKL4celYcC}
}
@book{tseng.2003,
  title        = {The Customer Centric Enterprise: Advances in Mass Customization and Personalization},
  author       = {Tseng, M.M. and Piller, F.},
  year         = 2003,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = 9783540024927,
  url          = {https://books.google.at/books?id=B3IacqkKkwsC},
  lccn         = 20050544
}
@patent{perpina.2009,
  title        = {Service Marketplace System},
  author       = {David Perpina, Maik Greubel},
  year         = 2009,
  month        = 7,
  day          = 30,
  location     = {US},
  number       = {US20090192945A1},
  url          = {https://patents.google.com/patent/US20090192945A1/en},
  type         = {Patent},
  yearfiled    = 2008,
  monthfiled   = 1,
  dayfiled     = 29,
  assignee     = {Lionos GmbH,  Bamberg (DE)}
}
@online{StackExchange:2019:Online,
  title        = {StackExchange},
  author       = {{Stack Exchange Inc}},
  year         = 2019,
  url          = {https://stackexchange.com},
  urldate      = {2019-09-10}
}
@online{so.2019,
  title        = {StackOverflow},
  author       = {{Stack Exchange Inc}},
  year         = 2019,
  url          = {https://stackoverflow.com},
  urldate      = {2019-09-10}
}
@online{MathStackExchange:2019:Online,
  title        = {Mathematical StackExchange},
  author       = {{Stack Exchange Inc}},
  year         = 2019,
  url          = {https://math.stackexchange.com},
  urldate      = {2019-09-10}
}
@online{TexStackExchange:2019:Online,
  title        = {Tex StackExchange},
  author       = {{Stack Exchange Inc}},
  year         = 2019,
  url          = {https://tex.stackexchange.com},
  urldate      = {2019-09-10}
}
@online{WKO:2019:Online,
  title        = {WK},
  author       = {{WKO}},
  year         = 2019,
  url          = {https://www.wko.at},
  urldate      = {2019-09-10}
}
@inproceedings{Mooney:2000:CBR:336597.336662,
  title        = {Content-based Book Recommending Using Learning for Text Categorization},
  author       = {Mooney, Raymond J. and Roy, Loriene},
  year         = 2000,
  booktitle    = {Proceedings of the Fifth ACM Conference on Digital Libraries},
  location     = {San Antonio, Texas, USA},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {DL '00},
  pages        = {195--204},
  isbn         = {1-58113-231-X},
  numpages     = 10,
  acmid        = 336662,
  keywords     = {information filtering, machine learning, recommender systems, text categorization}
}
@book{falk2019practical,
  title        = {Practical Recommender Systems},
  author       = {Falk, K.},
  year         = 2019,
  publisher    = {Manning Publications Company},
  isbn         = 9781617292705,
  url          = {https://books.google.at/books?id=\_dbdnAAACAAJ},
  lccn         = 2018287423
}
@inproceedings{Frey2015ANR,
  title        = {A Novel Recommender System in IoT},
  author       = {Remo M. Frey and Runhua Xu and Alexander Ilic},
  year         = 2015,
  booktitle    = {IOT 2015}
}
@article{MIAO2007397,
  title        = {A cognitive approach for agent-based personalized recommendation},
  author       = {Chunyan Miao and Qiang Yang and Haijing Fang and Angela Goh},
  year         = 2007,
  journal      = {Knowledge-Based Systems},
  volume       = 20,
  number       = 4,
  pages        = {397--405},
  url          = {http://www.sciencedirect.com/science/article/pii/S0950705106001699},
  keywords     = {Intelligent agent, Fuzzy cognitive map, Case-based reasoning, Personalized recommendation}
}
@inproceedings{Garcin:2014:OOE:2645710.2645745,
  title        = {Offline and Online Evaluation of News Recommender Systems at Swissinfo.Ch},
  author       = {Garcin, Florent and Faltings, Boi and Donatsch, Olivier and Alazzawi, Ayar and Bruttin, Christophe and Huber, Amr},
  year         = 2014,
  booktitle    = {Proceedings of the 8th ACM Conference on Recommender Systems},
  location     = {Foster City, Silicon Valley, California, USA},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '14},
  pages        = {169--176},
  isbn         = {978-1-4503-2668-1},
  numpages     = 8,
  acmid        = 2645745,
  keywords     = {evaluation, live, news, real-time, recommender system}
}
@inproceedings{Khrouf:2013:HER:2507157.2507171,
  title        = {Hybrid Event Recommendation Using Linked Data and User Diversity},
  author       = {Khrouf, Houda and Troncy, Rapha\"{e}l},
  year         = 2013,
  booktitle    = {Proceedings of the 7th ACM Conference on Recommender Systems},
  location     = {Hong Kong, China},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {RecSys '13},
  pages        = {185--192},
  isbn         = {978-1-4503-2409-0},
  numpages     = 8,
  acmid        = 2507171,
  keywords     = {event recommendation, linked data, lode ontology, user diversity}
}
@inproceedings{kompan:2010,
  title        = {Content-Based News Recommendation},
  author       = {Kompan, Michal and Bielikova, Maria},
  year         = 2010,
  month        = 9,
  volume       = 61,
  pages        = {61--72}
}
@inproceedings{2040145,
  title        = {A user-centric evaluation of recommender algorithms for an event recommendation system},
  author       = {Dooms, Simon and De Pessemier, Toon and Martens, Luc},
  year         = 2011,
  booktitle    = {Proceedings of the RecSys 2011 : Workshop on Human Decision Making in Recommender Systems (Decisions@RecSys'11) and User-Centric Evaluation of Recommender Systems and Their Interfaces - 2 (UCERSTI 2) affiliated with the 5th ACM Conference on Recommender Systems (RecSys 2011)},
  location     = {Chicago, IL, USA},
  publisher    = {Ghent University, Department of Information technology},
  pages        = {67--73},
  editor       = {Felfernig, Alexander and Chen, Li and Madl, Monika and Willemsen, Martijn and Bollen, Dirk and Ekstrand, Michael},
  language     = {eng}
}
@article{Arora:2016,
  title        = {Cross-domain based Event Recommendation using Tensor Factorization},
  author       = {Arora, Anuja and Taneja, Vaibhav and Parashar, Sonali and Mishra, Apurva},
  year         = 2016,
  month        = 1,
  journal      = {Open Computer Science},
  volume       = 6,
  pages        = {}
}
@inproceedings{1181672,
  title        = {Fuzzy cognitive agents for personalized recommendation},
  author       = {{Chunyan Miao} and {Qiang Yang} and {Haijing Fang} and A. {Goh}},
  year         = 2002,
  month        = 12,
  booktitle    = {Proceedings of the Third International Conference on Web Information Systems Engineering, 2002. WISE 2002.},
  volume       = {},
  number       = {},
  pages        = {362--371},
  keywords     = {software agents;cognitive systems;fuzzy logic;information needs;electronic commerce;knowledge representation;Web sites;personalized recommendation agents;fuzzy cognitive agents;e-business sites;e-commerce sites;Web service sites;personalized suggestions;current personal user preferences;common user preferences;expert domain knowledge;knowledge representation;extended fuzzy cognitive maps;user preference learning;inferences;decisions;numeric computation;Software agents;Fuzzy cognitive maps;Fuzzy logic;Application software;Electronic commerce;Internet;Data mining;Decision making;Electronic mail;Filters}
}
@mastersthesis{argaw.2019,
  title        = {Amharic Parts-of-Speech Tagger using Neural Word Embeddings as Features},
  author       = {Mequanent Argaw},
  year         = 2019,
  month        = 1,
  school       = {Addis Ababa University},
  type         = {Thesis}
}
@article{blei2003latent,
  title        = {Latent dirichlet allocation},
  author       = {Blei, David M and Ng, Andrew Y and Jordan, Michael I},
  year         = 2003,
  journal      = {Journal of machine Learning research},
  volume       = 3,
  number       = {Jan},
  pages        = {993--1022}
}
@book{Aggarwal:2018,
  title        = {Machine Learning for Text},
  author       = {Charu C. Aggarwal},
  year         = 2018,
  publisher    = {Springer Publishing Company, Incorporated}
}
@online{thumbtack.2018,
  title        = {{Thumbtack}},
  author       = {{Thumbtack Inc}},
  year         = 2018,
  url          = {http://web.archive.org/web/20180122054802/https://www.thumbtack.com},
  urldate      = {2018-01-22}
}
@online{spaCy.2019,
  title        = {spaCy - Industrial-Strength Natural Language Processing in Python},
  author       = {{ExplosionAI GmbH}},
  year         = 2019,
  month        = 11,
  url          = {https://web.archive.org/web/20191110152830/http://spacy.io/}
}
@online{gensim.2019,
  title        = {gensim - topic modelling for humans},
  author       = {Radim Řehůřek},
  year         = 2019,
  month        = 11,
  url          = {https://web.archive.org/web/20191016234547/https://radimrehurek.com/gensim/}
}
@online{scipy.2019,
  title        = {scipy - Scientific Computing Tools for Python},
  author       = {{SciPy Developers}},
  year         = 2019,
  month        = 11,
  url          = {https://web.archive.org/web/20191106004632/https://www.scipy.org/}
}
@article{NOGUERA201237,
  title        = {A mobile 3D-GIS hybrid recommender system for tourism},
  author       = {José M. Noguera and Manuel J. Barranco and Rafael J. Segura and Luis Martínez},
  year         = 2012,
  journal      = {Information Sciences},
  volume       = 215,
  pages        = {37--52}
}
@inproceedings{ricci.2003,
  title        = {Product Recommendation with Interactive Query Management and Twofold Similarity},
  author       = {Ricci, Francescoand and Venturini, Adriano and Cavada, Darioand and Mirzadeh, Nader and Blaas, Dennis and Nones, Marisa},
  year         = 2003,
  booktitle    = {Case-Based Reasoning Research and Development},
  publisher    = {Springer Berlin Heidelberg},
  pages        = {479--493}
}
@inproceedings{Pera:2015:ABF:2700171.2791037,
  title        = {Analyzing Book-Related Features to Recommend Books for Emergent Readers},
  author       = {Pera, Maria Soledad and Ng, Yiu-Kai},
  year         = 2015,
  booktitle    = {Proceedings of the 26th ACM Conference on Hypertext \&\#38; Social Media},
  location     = {Guzelyurt, Northern Cyprus},
  publisher    = {ACM},
  address      = {New York, NY, USA},
  series       = {HT '15},
  pages        = {221--230}
}

